#!/bin/nawk -f
#
# Extract the heading from the Ashtech data. This
# only outputs data on the whole second. Drops the
# data on the 1/2 second.
#
# Output:
#
# Time    Heading Ashtech
# 86174.0 007.23 ASH
# 86175.0 007.18 ASH
#
# Time is in seconds from the begining of the day
# Heading is in degrees
# ASH is a constant
#
BEGIN { 
	FS = "," 
} 
{ 
	if ( $1 =="$PASHR")  {
		time = $3 % 86400 
		if ( ( time - int(time)) > 0) next
		if ($4 < 361. ) printf "%8.1f %s ASH\n", time, $4
	} 
} 
